import * as d3 from 'd3';

export class InstantiationRender {
    /**
     * 
     * @param {d3.Selection} selection 
     */
    constructor(selection) {
        this.selection = selection;

        /**
         * @type {BasicD3DataItem[]}
         */
        this.data = []
    }

    /**
     * @description 将 elknode 关于 例化模块 的数据添加为 d3 数据项目
     * @param {ElkNode} node 
     */
    addAsD3DataItem(node) {
        this.data.push({
            x: node.x,
            y: node.y,
            width: node.width,
            height: node.height,
            fill: 'var(--main-dark-color)',
            text: node.renderName,
            rx: 3,
            ry: 3
        });
    }
}